com.google.gwt.place.shared

## Annotation Type Prefix

    @Target(value={METHOD,TYPE})
     @Retention(value=RUNTIME)
    public @interface Prefix

Indicates the prefix to use when the token written by `PlaceTokenizer.getToken(Place)` is written to `History.newItem(java.lang.String)`. `com.google.gwt.place.rebind.PlaceHistoryMapperGenerator` looks for this annotation on the factory methods that return a tokenizer, and on the tokenizer types themselves.

### Required Element Summary

Required Elements
`java.lang.String` `value`

### Element Detail

#### value

    public abstract java.lang.String value